Changing to PHP 8 throws joomla front-end offline

Ch3vr0n
38 Posts
Ch3vr0n posted this 18 December 2021

Yesterday while updating to 3.10.4 Akeeba backup that does an automatic pre-joomla update backup, notified me that 7.4.26 entered the "security" phase. I figured well, good enough reason to switch to PHP 8. Now the thing is. When i do that the backend on the domain works just fine but the front-end goes offline with

"0 - Unknown named parameter $title"

I have 2 other sites (that got the same warning by akeeba backup) that i switched over to PHP 8 just fine. Frontend and backend are operational. Those are using Nicepage. I know it's something in the template, because when i swap to one of the default templates in J3.10.4 like Beez3 site renders just fine.

If i change PHP back to 7.4.26 while leaving the custom template as default, the site immediately goes back up. So what gives...

Yesterday while updating to 3.10.4 Akeeba backup that does an automatic pre-joomla update backup, notified me that 7.4.26 entered the "security" phase. I figured well, good enough reason to switch to PHP 8. Now the thing is. When i do that the backend on the domain works just fine but the front-end goes offline with "0 - Unknown named parameter $title" I have 2 other sites (that got the same warning by akeeba backup) that i switched over to PHP 8 just fine. Frontend and backend are operational. Those are using Nicepage. I know it's something in the template, because when i swap to one of the default templates in J3.10.4 like Beez3 site renders just fine. If i change PHP back to 7.4.26 while leaving the custom template as default, the site immediately goes back up. So what gives...
Vote to pay developers attention to this features or issue.
22 Comments
Order By: Standard | Newest
bmericsson
29 Posts
bmericsson posted this 19 December 2021

I have exactly the same problem, No problem with Beez3 or protostar- template.
I want to follow that thread. Hope this problem can be solved relatively easily. Thank you

I have exactly the same problem, No problem with Beez3 or protostar- template. I want to follow that thread. Hope this problem can be solved relatively easily. Thank you
Vitaliy WD
501 Posts
Vitaliy WD posted this 19 December 2021

Seems that it's not so important for Themler team, they already answered, that this bugs will not be solved this year.. most probably during next year. It's ok, PHP 8 released just year ago. PHP 8.1 already available and supported by Joomla 4.

Hello,

I cannot promise all issues to be fixed this month. Some of the issues
are still under investigation, and new issues are reported from time
to time by our customers and need checking. So the new version is
expected already in the new year. Surely there will be an announcement
about the update on the forum.

Sincerely, Nettie

Seems that it's not so important for Themler team, they already answered, that this bugs will not be solved this year.. most probably during next year. It's ok, PHP 8 released just year ago. PHP 8.1 already available and supported by Joomla 4. > Hello, > > I cannot promise all issues to be fixed this month. Some of the issues > are still under investigation, and new issues are reported from time > to time by our customers and need checking. So the new version is > expected already in the new year. Surely there will be an announcement > about the update on the forum. > > Sincerely, Nettie

Last edited 19 December 2021 by Vitaliy WD

Ch3vr0n
38 Posts
Ch3vr0n posted this 19 December 2021

The thing is, i know it's impossible to fix everything quick. But i'm not renewing for $99 just to fix the template issue. A newer bootstrap version is pretty much mandatory nowadays. As far as PHP 8.1 being released goes, well that's irrelevant. If the theme doesn't work on PHP8 it's not gonna work on 8.1 either.

The thing is, i know it's impossible to fix everything quick. But i'm not renewing for $99 just to fix the template issue. A newer bootstrap version is pretty much mandatory nowadays. As far as PHP 8.1 being released goes, well that's irrelevant. If the theme doesn't work on PHP8 it's not gonna work on 8.1 either.
pdg.design
282 Posts
pdg.design posted this 19 December 2021

I have same problem.

I have same problem.
Support Team
Support Team posted this 20 December 2021

Hello,

We are sorry for the issue. Indeed, Joomla 3 doesn't work with PHP 8 at the moment. The issue is forwarded to our developers. We will update this topic when an update with the fix is available.

Sincerely,
Nettie

Hello, We are sorry for the issue. Indeed, Joomla 3 doesn't work with PHP 8 at the moment. The issue is forwarded to our developers. We will update this topic when an update with the fix is available. Sincerely, Nettie
Seppe
212 Posts
Seppe posted this 21 December 2021

Last weekend I updated 19 websites. For all of them I got the same security warning for PHP 7.4.... Luckily I didn't switch tot PHP 8, or I would have been on the phone for days with clients why their website is not working anymore :)

Last weekend I updated 19 websites. For all of them I got the same security warning for PHP 7.4.... Luckily I didn't switch tot PHP 8, or I would have been on the phone for days with clients why their website is not working anymore :)
Ch3vr0n
38 Posts
Ch3vr0n posted this 21 December 2021

It's a quick "fix". All it takes to get the site working again on the front-end is setting php back to 7.4. What's weird though it that the site BACKEND works just fine with php 8. This is 100% a template problem with php 8, as the stock joomla ones work just fine.

It's a quick "fix". All it takes to get the site working again on the front-end is setting php back to 7.4. What's weird though it that the site BACKEND works just fine with php 8. This is 100% a template problem with php 8, as the stock joomla ones work just fine.
pdg.design
282 Posts
pdg.design posted this 21 December 2021

I agree

I agree
Vitaliy WD
501 Posts
Vitaliy WD posted this 22 December 2021

Hello,

We are sorry for the issue. Indeed, Joomla 3 doesn't work with PHP 8 at the moment. The issue is forwarded to our developers. We will update this topic when an update with the fix is available.

Sincerely,
Nettie

Joomla 3 work with PHP 8.1.

What's in 3.10.4?
Joomla 3.10.4 addresses several bugs, including: Bug fixes and Improvements
PHP 8.1 compatibility patches

https://www.joomla.org/announcements/release-news/5851-joomla-4-0-5-and-joomla-3-10-4-are-here.html

> Hello, > > We are sorry for the issue. Indeed, Joomla 3 doesn't work with PHP 8 at the moment. The issue is forwarded to our developers. We will update this topic when an update with the fix is available. > > Sincerely, > Nettie Joomla 3 work with PHP 8.1. > What's in 3.10.4? > Joomla 3.10.4 addresses several bugs, including: Bug fixes and Improvements > PHP 8.1 compatibility patches https://www.joomla.org/announcements/release-news/5851-joomla-4-0-5-and-joomla-3-10-4-are-here.html
Ch3vr0n
38 Posts
Ch3vr0n posted this 22 December 2021

Well j3.10.4 doesn't for me with PHP 8.0. 8.1 isn't installed on my server yet but I can try it

Well j3.10.4 doesn't for me with PHP 8.0. 8.1 isn't installed on my server yet but I can try it
Pulswerk
60 Posts
Pulswerk posted this 22 December 2021

Stay calm, they are working on it and it is definitely an issue with Themler combined with PHP 8.0

Stay calm, they are working on it and it is definitely an issue with Themler combined with PHP 8.0
Ch3vr0n
38 Posts
Ch3vr0n posted this 22 December 2021

I am calm. Just saying that what vitaly said, is either wrong or doesn't apply for everyone

I am calm. Just saying that what vitaly said, is either wrong or doesn't apply for everyone
bmericsson
29 Posts
bmericsson posted this 06 January 2022

How is the status right now? It feels a bit silly to NOW build pages with php 7.4

How is the status right now? It feels a bit silly to NOW build pages with php 7.4
gillanubhav4
1 Posts
gillanubhav4 posted this 06 January 2022

I have exactly the same problem,

I have exactly the same problem,
Peter L.
10 Posts
Peter L. posted this 06 January 2022

I have exactly the same problem, - Themler Templates are definitely not working with PHP 8.0

I have exactly the same problem, - Themler Templates are definitely not working with PHP 8.0
pdg.design
282 Posts
pdg.design posted this 06 January 2022

Stay to wait stable version...

Stay to wait stable version...
biljiczop
1 Posts
biljiczop posted this 10 January 2022

i think Joomla 3 doesn't work with PHP 8 at the moment

i think Joomla 3 doesn't work with PHP 8 at the moment
Ch3vr0n
38 Posts
Ch3vr0n posted this 10 January 2022

You think wrong. J3 itself works just fine with PHP 8. This is a problem with the themler generated template.

You think wrong. J3 itself works just fine with PHP 8. This is a problem with the themler generated template.
Support Team
Support Team posted this 11 January 2022

Hello,

Indeed, there is an issue with Themler for Joomla 3 and PHP 8. It is already forwarded to our developers but the fix isn't available yet. We are also going to test it with PHP 8.1 which is the latest released version at the moment.
We recommend to temporarily use PHP 7.4 for Themler with Joomla 3 and with Wordpress and are sorry for inconvenience.

Sincerely,
Nettie

Hello, Indeed, there is an issue with Themler for Joomla 3 and PHP 8. It is already forwarded to our developers but the fix isn't available yet. We are also going to test it with PHP 8.1 which is the latest released version at the moment. We recommend to temporarily use PHP 7.4 for Themler with Joomla 3 and with Wordpress and are sorry for inconvenience. Sincerely, Nettie
matrix630307
162 Posts
matrix630307 posted this 11 January 2022

Since month the same - "...forwarded to your developers..."
not only this problem - many others too!
since month only v544 - no updates since months.
peoples: read in this forum all other problems with themler... no php8, no update bootstrap, not working with joomla 4 and and and...
my reason is at time - no pay for themler udpate!

Since month the same - "...forwarded to your developers..." not only this problem - many others too! since month only v544 - no updates since months. peoples: read in this forum all other problems with themler... no php8, no update bootstrap, not working with joomla 4 and and and... my reason is at time - no pay for themler udpate!
You must log in or register to leave comments